Subject: Re: GNU Emacs build: NTEmacs vs cygwinized
From: Joe Buehler <[email-masked]>
To: [email-masked]
Date: Thu, 07 Aug 2003 10:16:57 -0400

FRC wrote:

> I'm trying to build latest GNU Emacs from cvs on savannah, using cygwin
> (latest, almost all pkgs).

I installed the various porting changes into CVS, but that was maybe
6 months ago, and you will undoubtedly have some compile problems
because of ongoing development (in both emacs and Cygwin).

Be aware that the Cygwin emacs package has undump support but the CVS
version does not.  The GNU people are very picky about code ownership
and I have yet to rewrite the code in the Cygwin emacs for the CVS version.

> I know a pkg is available, but it looks like it's too much tied to cygwin
> eg. it doesn't understand winpaths like C:/ etc...I'm also afraid it won't

Patches are always appreciated -- I did much of the initial work to make emacs
under Cygwin understand windows-isms (by using existing NT emacs code in emacs)
but it is not 100% (the CVS version has more work done on it than the current
Cygwin version).  The drive letter functionality is one of the things that is
not working.  I just mount drives so I can do things like /c/whatever.  You can
use /cygdrive/c/whatever right out of the box.

> communicate with extern processes as "well" as with a std NTEmacs distro. Is
> it nonsense? Will I have the same pbs if I manage to build it myself using
> cygwin gcc?

External processes should work fine.  I use the Cygwin emacs all the time and
haven't had any problems.

> I get the following when running make bootstrap:
> 
> gcc -c -I/usr/share/gettext   -Demacs -DHAVE_CONFIG_H -DUSE_LUCID  -I. -I/c/
> cvsarea/emacs/src -I/usr/share/gettext -I/usr/X11R6/include -g -O2 xterm.c
> xterm.c: In function `x_create_toolkit_scroll_bar':
> xterm.c:4488: `XtNbeNiceToColormap' undeclared (first use in this function)
> xterm.c:4488: (Each undeclared identifier is reported only once
> xterm.c:4488: for each function it appears in.)
> make[1]: *** [xterm.o] Error 1
> make[1]: Leaving directory `/c/cvsarea/emacs/src'
> make: *** [bootstrap] Error 2

Ask on the emacs developers list.  It doesn't look like a standard X11 symbol.
-- 
Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/